' "Submit to the Master"
' Created with QDK 3.03

define game <Submit to the Master>
	asl-version <300>
	start <bedroom>
	game author <ken>
	game copyright <KGB>
	game info <extra commands:|nkick wall|nread book>
	command <read #object#> doaction <#object#; read>
end define

define synonyms
end define

define room <bedroom>
	prefix <a>
	west <hall>
	script if property <bedroom; exploded> then msg <the north wall has been exploded. thats a little red book with alot of balls.> else msg <there is a little red book on a nightstand on the north side of the room. a closed door to the west.>
	description msg <this is a room with a rigid single bed... must be a bedroom.>
	action <bomb> {
		property <bedroom; exploded>
		create exit north <bedroom; rocky alcove>
	}

	define object <book>
		look msg <the cover says "read me">
		take msg <what the hell? its bolted to the table!>
		prefix <a>
		detail <red>
		use {
			timeron <red book bomb>
			msg <YOU ARE IN MY WORLD NOW.[NEW LINE][NEW LINE]I dont know how you got in this house but i want you out. this book will explode in 30 seconds.[NEW LINE][NEW LINE]Goodbye,[NEW LINE]Ken>
		}
		action <read> {
			say <YOU ARE IN MY WORLD NOW.|n|nI dont know how you got in this house but i want you out. this book will explode in 30 seconds.|n|nGoodbye,|nKen>
			timeron <red book bomb>
		}
	end define

end define

define room <hall>
	prefix <a>
	east <bedroom>
	west <dinning room>
	description if property <hall; kick> then msg <you are in a hall that runs east to west with an exit at either end... and a hole that you kicked to the south> else msg <long and narrow this hall has two doors at either end and a crack running vertically down the center of the south side>
	command <kick wall> {
		create exit south <hall; secret room>
		property <hall; kick>
		msg <you smash the wall to reveal a secret room>
		conceal <crack>
	}
	command <kick crack> {
		create exit south <hall; secret room>
		property <hall; kick>
		msg <you smash the wall to reveal a secret room>
		conceal <crack>
	}

	define object <crack>
		look msg <it looks like it was made by someone... kicking it.>
		suffix <a>
	end define

end define

define room <secret room>
	alias <dark room>
	prefix <a>
	north <hall>
	description if got <lantern> then {
		msg <there is the body of a man on the floor. it must be igor...  he is holding a rusty sword. there is somthing writen on the wall in chicken scratch.. it says. "the only way to beat the master is to..." and then it fades out. he must've ran out of strength>
		reveal <sword>
	}
	else msg <you can't see a thing.. the room is too dark>

	define object <sword>
		look msg <its not much to look at.. but i bet it could take off a few heads.>
		take
		prefix <a >
		detail <rusty>
		invisible
		use on <gaurd> {
			msg <the gaurd is too involved in his bowl of pebbles to attempt to dodge your blow. he dies. >
			create exit north <rocky alcove; throne room>
			reveal <dead gaurd>
			conceal <gaurd>
		}
		use on <girl> {
			msg <you killed an un-armed girl! you sick bastard!>
			conceal <girl>
			reveal <dead girl>
		}
		use on <Ken> {
			msg <you swing your sword down hard on kens head but it shatters when it hits his crown. damned rusty sword crapped out on me!! ken reply's with a judo chop to your jugular.... goodnight|n|nYOU LOSE>
			playerlose
		}
	end define

end define

define room <dinning room>
	east <hall>
	description msg <you are in what looks like a very plain dinning room. there is only one way in and out leading to the hall. there is a girl sitting at a small table eating a bowl of fruity pebbles.>

	define object <girl>
		look msg <she looks kinda sleepy, but she smiles and says "hey stranger, have you submitted to the master yet?">
		speak choose <girl>
		prefix <a>
		displaytype <character>
	end define

	define object <cereal>
		look msg <looks delicious. yabba dabba do!>
		prefix <a bowl of>
		detail <fruity pebbles>
		use on <gaurd> {
			msg <"gimme that! im famished!!" the gaurd says as he drops his lantern and snatches the bowl with one hand. "but ye still can't pass">
			reveal <lantern>
			lose <cereal>
		}
		give to <gaurd> {
			msg <"gimme that! im famished!!" the gaurd says as he drops his lantern and snatches the bowl with one hand. "but ye still can't pass">
			lose <cereal>
			reveal <lantern>
		}
	end define

	define object <dead girl>
		look msg <you feel regret>
		prefix <a>
		invisible
	end define

end define

define room <rocky alcove>
	prefix <a>
	south <bedroom>
	description msg <you enter a large rocky alcove there is a door to the north but it is gaurded by a strange man.>

	define object <gaurd>
		look msg <a rough looking character with a bat in one hand and a lantern in the other, he looks mean and mal nurished. "What are you looking at", he says.>
		speak choose <gaurd>
		displaytype <character>
		gender <he>
	end define

	define object <dead gaurd>
		look msg <he's dead>
		prefix <a>
		invisible
	end define

	define object <lantern>
		look msg <the lantern shines bright, guiding your way>
		take
		prefix <a>
		invisible
	end define

end define

define room <throne room>
	prefix <a>
	south <rocky alcove>
	description msg <you enter a very large room. it looks like a kings chamber. there is a throne ahead of you. a man is seated on it.>

	define object <Ken>
		look msg <he looks pleased>
		speak {
			say <I see you have not left my house. have you accepted that I am the master?>
			choose <ken>
		}
		gender <character>
	end define

end define

define timer <red book bomb>
	interval <30>
	action {
		if here <book> or got <book> then {
			msg <the red book explodes and your face with it.|n|nYOU LOSE>
			playerlose
		}
		else {
			msg <you hear the red book explode. damn he wasnt kidding! luckily you were far enough away and didnt get blown to bits.>
			conceal <book>
			doaction <bedroom; bomb>
		}
		timeroff <red book bomb>
	}
	disabled
end define

define text <intro>
you wake up and you dont know where you are or how you got there.
end define

define text <win>

end define

define text <lose>

end define

define selection <gaurd>
	info <you say:>
	choice <I am lookin at a horses ass!> {
		msg <befor you can laugh your ass off the gaurd hits you in the dome with his bat. you smile and the room fades to black.|n|nYOU LOSE>
		playerlose
	}
	choice <how do you do kind sir, could i trouble you for directions?> msg <"YOU CAN'T PASS, if thats what your askin">
end define
define selection <girl>
	info <you ask:>
	choice <whos the master?> say <ken is the master of all. you really should submit you know...>
	choice <whats your name?> say <the master calls me barbie>
	choice <how do i get out of here?> {
		say <click your heels three times and say theres no place like home... its really not that bad here, ya know?  i get free pop tarts and thers alot of video games.. just submit. here.. take this food, |nyour gonna be here for a while dorothy>
		give <cereal>
	}
	choice <where is everybody?> msg <they are serving the master of course.. i did loose my friend igor though. igor the master swordsman. he had a fight with the master and i havent seen him scince... poor igor....>
	choice <master?> say <you know, your a real bastard...>
end define
define selection <ken>
	info <you reply>
	choice <yes> {
		msg <"very good" ken says as he steps down from the throne to greet you.|n"your first dutty to me, your master, will be to..  DIE!!"|n|n"NOOOOO" you say as you swing your sword like a maniac.|nYOU SHANK KEN.|n|n"AARGH" he says as he runs away.. "YOU HAVENT SEEN THE LAST OF ME HERO!!! ILL BE BAAAAAAaaaaack....."|n|nyou have defeated ken. but how do you get home.. |n|nYOU WIN! |nto be continued>
		playerwin
	}
	choice <only the master of evil, ken. > {
		msg <you swing your sword down hard on kens head but it shatters when it hits his crown. damned rusty sword crapped out on me!! ken reply's with a judo chop to your jugular.... goodnight|n|nYOU LOSE>
		playerlose
	}
end define

